/* Universal Selector */
* {
	font-family: "Arial", monospace;
	font-size: 20px;
}

html{
	scroll-behavior: white;
}

#external {
	color: yellow;
}

h1	{
	color: black !important;
	font-size: 2rem;
}

/*ID Selector*/
/* #id-name */
#learn {
	text-transform: uppercase;
}

/*class selector*/
/* .class-name */
.languages {
	background-color: lightgreen;
}

/*  Attribute Selector */
/* tagname [attribute] */
li[id] {
	border-width: 2px;
	border-style: solid;
	border-color: navy;
}

/* Adjacent Sibling Selector 
	-used to select an element that is DIRECTLY after another specific element
	- + 
	- selector + selector
*/
h4 + img{
	border-width: 150px;
	border-radius: 75px;
}

/* Descendant Selector
	-used to match all elements that are descendants of a specified element
	-[whitespace]
	-selector selector
*/
#things-learn img{
	height: 150px;
}

/* Child Selector 
	-used to select all elements that are the children of a specified element
	- >
	- selector > selector
*/
body > section > ul {
	letter-spacing: 5px;
	list-style-type: none;
}

/*General Sibling Selector
	-used ro select all elements that are next siblings of a specified element
	- ~
	- selector ~ selector
*/
h4 ~ p {
	text-align: center;
	color: black;
}